> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a backup

> Returns details of a specific backup



## OpenAPI

````yaml /openapi.json get /api/v1/backups/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/backups/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Backups
      summary: Get a backup
      description: Returns details of a specific backup
      operationId: getBackup
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      responses:
        '200':
          description: backup found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Backup'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    Backup:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: backup
          example: backup
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            status:
              type: string
              example: completed
              description: >-
                Current status of the backup (pending, processing, completed,
                failed)
            file_size:
              type:
                - integer
                - 'null'
              example: 1048576
              description: Size of the backup file in bytes (only available when completed)
            download_url:
              type:
                - string
                - 'null'
              example: https://app.scholarlysoftware.com/rails/active_storage/blobs/...
              description: URL to download the backup file (only available when completed)
            download_checksum_md5:
              type:
                - string
                - 'null'
              example: d41d8cd98f00b204e9800998ecf8427e
              description: >-
                MD5 checksum of the backup file in hexadecimal format (only
                available when completed)
            progress:
              type:
                - object
                - 'null'
              example:
                percentage: 45
                completed_tables: 23
                total_tables: 50
                message: Processing 23 of 50 tables...
              description: Progress information for in-progress backups
        relationships:
          type: object
          properties: {}
        meta:
          type: object
          properties:
            requester_name:
              type:
                - string
                - 'null'
              example: John Doe
              description: Name of the user who requested the backup
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````